Bug 734262 - X server, limiting the cursor to the visible portions of the screen
Summary: X server, limiting the cursor to the visible portions of the screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 22:24 UTC by Scott Spurrier
Modified: 2018-11-26 18:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The cursor could travel outside the visible areas of the screen. Users could lose their mouse cursor off-screen. X server fixed to have cursors respect screen boundaries. Cursor can no longer travel off-screen.
Clone Of:
Environment:
Last Closed: 2011-12-06 14:38:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1602 normal SHIPPED_LIVE xorg-x11-server and tigervnc bug fix and enhancement update 2011-12-06 00:51:12 UTC

Description Scott Spurrier 2011-08-29 22:24:51 UTC
Need to have the X server limit the cursor to the visible portions of the screen(s) when using dual displays of different resolutions.

When using a setup with dual monitors with different resolutions, the cursor travels into the non-visible area of the virtual desktop.
We would like this to be contrained to the physically visible areas of the screens.

Comment 3 RHEL Product and Program Management 2011-08-29 22:48:04 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 RHEL Product and Program Management 2011-08-30 15:10:54 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 9 Dave Airlie 2011-11-11 14:48:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The cursor could travel outside the visible areas of the screen.

Users could lose their mouse cursor off-screen.

X server fixed to have cursors respect screen boundaries.

Cursor can no longer travel off-screen.

Comment 10 errata-xmlrpc 2011-12-06 14:38:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1602.html


Note You need to log in before you can comment on or make changes to this bug.